Subject: Re: linux-next: sched tree build warning

From: Ingo Molnar <[email-masked]>
Date: Mon, 22 Dec 2008 11:53:57 +0100

* Paul Mackerras <[email-masked]> wrote:

> > I cannot see how the binary representation could ever change from 
> > this. (and that is all that an ABI is about - it is an application 
> > Binary interface. I.e. there's no ABI breakage.)
> 
> Yes, the bits are the same, but that doesn't mean the types are the 
> same.  And we do export type definitions.
> 
> I once wanted to change the ppc32 size_t definition from unsigned int to 
> unsigned long to match up with ppc64.  That caused more pain than it was 
> worth because of exactly this issue (and also because gcc has fixed 
> ideas about size_t) so I abandoned it.  That's why I'm cautious about 
> changing user-visible types.  I'm not saying we can't do it, I'm saying 
> we shouldn't do it unilaterally.

okay, so what's the timeline to double check those details and to get this 
fix upstream?

	Ingo